import javax.swing.*;
import java.awt.*;
//import yildizSW;
//import renk;

public class yildizPanelSWP extends JPanel
{
int xi,yi,yaricap;
int n;
double aci;

public yildizPanelSWP(int xi1, int yi1,int yaricap1,int n1,double aci1)
{
xi=xi1;
yi=yi1;
yaricap=yaricap1;
aci=aci1;
n=n1;
}

public void setYildizPanelSWP(int xi1, int yi1,
int yaricap1,int n1,double aci1)
{
xi=xi1;
yi=yi1;
yaricap=yaricap1;
aci=aci1;
n=n1;
repaint();
}

public void paintComponent(Graphics g)
{
 super.paintComponent(g);
 g.setColor(renk.mavi);
 yildizSW.fillYildiz(g,xi,yi,n,yaricap,aci/180.0*Math.PI);
 g.setColor(renk.siyah);
 yildizSW.drawYildiz1(g,xi,yi,n,yaricap,aci/180.0*Math.PI);
}
}

